| Earth Observation Mission CFI Software Orbit Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.OrbitDataFilterOutliersReport Class Reference

Outliers Data Filter Outliers Report. More...

List of all members.

## Public Member Functions
| OrbitDataFilterOutliersReport ()
| Empty constructor.
| OrbitDataFilterOutliersReport (long in, long fi, double ming, double MaxG, double minp, double MaxP, double minv, double MaxV)
| Constructor with parameters.
## Public Attributes
long | nofOSVin
| Number of input orbit state vectors.
long | nofOSVfiltered
| Number of removed state vectors.
double | minTimeGap
| Minimum time gap between state vectors [seconds].
double | maxTimeGap
| Maximum time gap between state vectors [seconds].
double | minRMSPos
| Minimum RMS in position.
double | maxRMSPos
| Maximum RMS in position.
double | minRMSVel
| Minimum RMS in velocity.
double | maxRMSVel
| Maximum RMS in velocity.

## Detailed Description

Outliers Data Filter Outliers Report.

## Constructor & Destructor Documentation

EECFI.OrbitDataFilterOutliersReport.OrbitDataFilterOutliersReport | ( |  | ) |

Empty constructor.

EECFI.OrbitDataFilterOutliersReport.OrbitDataFilterOutliersReport | ( | long | in,
|  | long | fi,
|  | double | ming,
|  | double | MaxG,
|  | double | minp,
|  | double | MaxP,
|  | double | minv,
|  | double | MaxV |
| ) |  |  |

Constructor with parameters.

## Member Data Documentation

double EECFI.OrbitDataFilterOutliersReport.maxRMSPos

Maximum RMS in position.

double EECFI.OrbitDataFilterOutliersReport.maxRMSVel

Maximum RMS in velocity.

double EECFI.OrbitDataFilterOutliersReport.maxTimeGap

Maximum time gap between state vectors [seconds].

double EECFI.OrbitDataFilterOutliersReport.minRMSPos

Minimum RMS in position.

double EECFI.OrbitDataFilterOutliersReport.minRMSVel

Minimum RMS in velocity.

double EECFI.OrbitDataFilterOutliersReport.minTimeGap

Minimum time gap between state vectors [seconds].

long EECFI.OrbitDataFilterOutliersReport.nofOSVfiltered

Number of removed state vectors.

long EECFI.OrbitDataFilterOutliersReport.nofOSVin

Number of input orbit state vectors.